/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_RALIMENT                                                 */
/* Tabela : RALIMENT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 26/06/2007 - FELIPE HENRIQUE                                               */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_RALIMENT
BEFORE INSERT OR UPDATE OR DELETE
ON RALIMENT FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATURALIM := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATURALIM := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('RALIMENT', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||
                                                          ';CDCLIENTE='||:OLD.CDCLIENTE||
                                                          ';CDCONSUMIDOR='||:OLD.CDCONSUMIDOR||
                                                          ';CDFAMILISALD='||:OLD.CDFAMILISALD||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE RALIMENT MODIFY DTULTATURALIM DEFAULT SYSDATE
/
UPDATE RALIMENT SET DTULTATURALIM = SYSDATE WHERE DTULTATURALIM IS NULL
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_RALIMENT','4.11.169'); END;
/

