/*+
|                                               |
|     Trigger: DTULTATU_CURSO                   |  
|     Tabela : CURSO                            |
|                                               |
|     Criao:                                  |
|     23/10/2007 - Luiz Passos                  |
|                                               |
+*/


create or replace TRIGGER DTULTATU_CURSO
BEFORE INSERT OR UPDATE OR DELETE
ON CURSO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCURSO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDCURSO,0) <> NVL(:NEW.CDCURSO,0)) OR
           (NVL(:OLD.NMCURSO,0) <> NVL(:NEW.NMCURSO,0)) OR
           (NVL(:OLD.DSPROGRAMA,0) <> NVL(:NEW.DSPROGRAMA,0)) OR
           (NVL(:OLD.CDESCOLARIDADE,0) <> NVL(:NEW.CDESCOLARIDADE,0)) THEN
         :NEW.DTULTATUCURSO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CURSO', '', 'CDCURSO='||:OLD.CDCURSO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CURSO MODIFY DTULTATUCURSO DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CURSO','5.01.008'); END;
/

